# $Revision: 1.19 $, $Date: 2002/03/17 13:51:56 $
Summary:	OPIE suite of programs
Summary(pl):	Zestaw programw do OPIE
Name:		opie
Version:	2.4
Release:	2
Epoch:		1
License:	NRL/TIN
Group:		Applications/System
Source0:	http://inner.net/pub/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
URL:		http://inner.net/opie
#BuildRequires:	autoconf
#BuildRequires:	automake
BuildRequires:	bison
Requires:	%{name}-libs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OPIE suite of programs.

OPIE is an implementation of the One-Time Password (OTP) System that
is being considered for the Internet standards-track. OPIE provides a
one-time password system. The system should be secure against the
passive attacks now commonplace on the Internet (see RFC 1704 for more
details). The system is vulnerable to active dictionary attacks,
though these are not widespread at present and can be detected through
proper use of system audit software.

%description -l pl
Zestaw programw do OPIE.

OPIE jest implementacj One-Time Password (OTP) System - systemu hase
jednorazowych. Powinien on by odporny na popularne w Internecie ataki
pasywne (zobacz RFC 1704). Jest on podatny na ataki sownikowe, ktre
nie s aktualnie szeroko rozpowszechnione.

%package libs
Summary:	OPIE shared libraries
Summary(pl):	Biblioteki wspdzielone OPIE
Group:		Libraries
Conflicts:	%{name} < 2.4-2

%description libs
OPIE (One-Time Password System) shared libraries.

%description libs -l pl
Biblioteki wspdzielone OPIE (systemu hase jednorazowych).

%package devel
Summary:	Headers for developing OPIE enabled programs
Summary(pl):	Nagwki do tworzenia programw z obsug OPIE
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}

%description devel
Headers for developing OPIE enabled programs.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia programw z obsug OPIE.

%package static
Summary:	OPIE static libraries
Summary(pl):	Statyczne biblioteki OPIE
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
OPIE staic libraries.

%description static -l pl
Statyczne biblioteki OPIE.

%prep
%setup -q
%patch0 -p1

%build
%configure2_13 \
	--enable-access-file=%{_sysconfdir}/opie/access \
	--enable-user-locking=/var/lib/opie

%{__make} DEBUG="%{rpmcflags}" \
	KEY_FILE=%{_sysconfdir}/opie/keys

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/opie,%{_sbindir},%{_libdir},%{_includedir}/security,/var/lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	KEY_FILE=%{_sysconfdir}/opie/keys

install opie.h $RPM_BUILD_ROOT%{_includedir}/security

gzip -9nf BUG-REPORT README COPYRIGHT.NRL License.TIN

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(0755,root,root) %{_bindir}/opieinfo
%attr(0755,root,root) %{_bindir}/opiekey
%attr(0755,root,root) %{_bindir}/otp-*
%attr(4755,root,root) %{_bindir}/opiepasswd
%attr(4755,root,root) %{_sbindir}/opiesu
%attr(4755,root,root) %{_sbindir}/opielogin
%attr(0750,root,root) %{_sbindir}/opieftpd
%dir %attr(700,root,root) /var/lib/opie
%{_mandir}/man*/*

%files libs
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_sysconfdir}/opie
%attr(444,root,root) %{_sysconfdir}/opie/keys

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/security/opie.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: opie.spec,v $
Revision 1.19  2002/03/17 13:51:56  qboosh
- separated libs package - now -devel can be installed without any suid-root
  binaries
- release 2

Revision 1.18  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/08/09 20:48:51  qboosh
- adapterized, fixes in pl translations
- BuildRequires bison instead of byacc
- Epoch: 1 to allow upgrade from 0:2.32

Revision 1.14  2001/08/08 23:09:16  blues
- 2.4
- some translations
- %configure2_13 for now...
- little cosmetics in %files
- patches merged into open makefile.patch

Revision 1.12  2001/08/08 20:57:05  blues
- Release 7
- URL found
- %configure2_13 used

Revision 1.11  2001/05/30 08:28:28  kloczek
- relase 6.

Revision 1.10  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/01/25 20:03:42  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/11/22 18:59:40  kloczek
- release 5: added byacc to BuildRequires.

Revision 1.6  2000/10/12 05:13:14  kloczek
- release 4: use new rpm automation.

Revision 1.5  2000/08/22 10:47:35  kloczek
- release 3,
- added gethostname_is_in_libc_aka_no_libnsl patch - this causes not
  linking with libnsl.

Revision 1.4  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.2  2000/05/11 05:47:29  kloczek
- release 2,
- addes static subpackage,
- spec adapterized.

Revision 1.1  2000/04/25 13:10:23  baggins
- PLD compliant spec
